package com.ruoyi.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectDTO;
import com.ruoyi.domain.dto.FyglProjectList;
import com.ruoyi.service.IFyglProjectCostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


//项目费用申请
@RestController
@RequestMapping("/projectCostRequest")
public class FyglProjectCostRequest extends BaseController {

    @Autowired
    private IFyglProjectCostService costService;

    //获取项目列表
    @GetMapping("/projectAllList")
    public AjaxResult getProjectList(){
        return AjaxResult.success(costService.getProjectNameList());
    }


  //获取项目费用申请列表
    @GetMapping("/list")
    public TableDataInfo getProjectCostList(FyglProjectCostDTO fyglProjectCostDTO){
        startPage();
       return getDataTable(costService.getList(fyglProjectCostDTO));
    }

    @GetMapping("/{id}")
    public AjaxResult getProjectCostList(@PathVariable("id") Integer id){
        return AjaxResult.success(costService.getDetail(id));
    }

    //获取所有项目名字和id
    @GetMapping("/projectList")
    public AjaxResult projectList()
    {
        List<FyglProjectList> projectList = costService.getAllProject();
        return AjaxResult.success(projectList);
    }

    //根据项目id获取详情
    @GetMapping("/projectDetail/{id}")
    public AjaxResult projectList(@PathVariable("id") Long id)
    {
        FyglProjectDTO projectDetail = costService.getProjectDetail(id);
        return AjaxResult.success(projectDetail);
    }

    //新增项目费用申请
    @PostMapping("/insert")
    public AjaxResult insertProject(@RequestBody FyglProjectCostDTO fyglProjectCostDTO)
    {
        return AjaxResult.success(costService.insertProjectCost(fyglProjectCostDTO));
    }

    //修改费用申请
    @PutMapping("/update")
    public AjaxResult updateProject(@RequestBody FyglProjectCostDTO fyglProjectCostDTO)
    {
        return AjaxResult.success(costService.updateProjectCost(fyglProjectCostDTO));
    }

    //删除费用申请-物理
    @PutMapping("/delete/{id}")
    public AjaxResult deleteProjectCost(@PathVariable("id") Integer id)
    {
        return AjaxResult.success(costService.deleteProjectCost(id));
    }
}
