package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.dto.FyglTripApplicationDTO;
import com.ruoyi.domain.vo.FyglTripApplicationVo;
import com.ruoyi.service.IFyglTripApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/tripApplication/tripApplication")
public class FyglTripApplicationController extends BaseController {
    
    @Autowired
    private IFyglTripApplicationService fyglTripApplicationService;
    
    /**
     * 查询出差申请列表
     */
//    @PreAuthorize("@ss.hasPermi('dailyReimbursement:dailyReimbursement:list')")
    @GetMapping("/list")
    public TableDataInfo list(FyglTripApplicationVo fyglTripApplicationVO)
    {
        startPage();
        List<FyglTripApplicationDTO> list = fyglTripApplicationService.selectFyglTripApplicationList(fyglTripApplicationVO);
        return getDataTable(list);
    }
    
    /**
     * 获取出差申请详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(fyglTripApplicationService.selectFyglTripApplicationById(id));
    }
}
